Name:           indicator-appmenu
Summary:        An indicator to host the menus from an application
Group:          Graphical desktop/GNOME
Version:        0.3.97
Release:        %mkrel 9
License:        GPLv3+
URL:            http://launchpad.net/indicator-appmenu
Source0:        https://launchpad.net/indicator-appmenu/0.4/0.3.94/+download/%{name}-%{version}.tar.gz
Patch0:         indicator-appmenu-0.3.97-disable-werror.patch
# http://bazaar.launchpad.net/~larsu/indicator-appmenu/destroy-widget/revision/248
Patch1:		indicator-appmenu-0.3.97-dont-call-intltool.patch
Patch2:		indicator-appmenu-0.3.97-ignore-deprecated-gtk-stock.patch
Patch3:		indicator-appmenu-0.3.97-remove-g_type_init.patch
Patch4:		indicator-appmenu-0.3.97-include-string-h.patch
Patch5:		indicator-appmenu-0.3.97-missing-flags.patch
BuildRequires:  intltool
BuildRequires:  pkgconfig(libbamf3)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(appindicator3-0.1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  gtk-doc-mkpdf
BuildRequires:  vala

%description
An indicator to host the menus from an application.

%files
%doc AUTHORS COPYING ChangeLog
%{_bindir}/hud-*
%{_libexecdir}/hud-service
%{_libdir}/indicators3/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/com.canonical.indicator.appmenu*gschema.xml
%{_datadir}/gtk-doc/html/hud/
%{_mandir}/man1/hud-*.1.*

#--------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
  --disable-static
%make

%install
%makeinstall_std

# Clean .la files
find %{buildroot}%{_libdir} -name '*.la' -delete -print


%changelog
* Fri Mar 11 2016 blino <blino> 0.3.97-9.mga6
+ Revision: 988986
- add missing include/link flags (hud-cli)
- add missing string.h include for strlen
- remove deprecated g_type_init calls
- ignore deprecated gtk stock image stuff (like upstream in lp#1309778)
- fix build with latest intltool (from upstream)

  + luigiwalser <luigiwalser>
    - BR vala
    - use configure2_5x
    - call autoreconf for aclocal version mismatch

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.97-7.mga5
+ Revision: 746727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.97-6.mga5
+ Revision: 680505
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 daviddavid <daviddavid> 0.3.97-5.mga5
+ Revision: 653737
- rebuild for new libbamf3_2 (pkg bamf)

* Sat Oct 19 2013 umeabot <umeabot> 0.3.97-4.mga4
+ Revision: 526592
- Mageia 4 Mass Rebuild

* Wed Jun 05 2013 dams <dams> 0.3.97-3.mga4
+ Revision: 437415
- rebuild for new 'libappindicator'

* Sat Jan 12 2013 luigiwalser <luigiwalser> 0.3.97-2.mga3
+ Revision: 361204
- fix for changed _libexecdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 16 2012 shlomif <shlomif> 0.3.97-1.mga3
+ Revision: 261065
- Add a BuildRequires on intltool - thanks to simplew
- Add a BuildRequires on sqlite3 - thanks to simplew
- Add more BuildRequires : thanks to simplew
- imported package indicator-appmenu


* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.97-1
- first package